Skip to main content
GET
Retrieve a specific order

Path Parameters

id
string
required

The unique order identifier, generated when the order was created.

Query Parameters

fields
string

Specify which properties to include in the response.

Response

Request successful

id
string
read-only

A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.

Example:

"674d0bf5c28b69001f8e03a1"

created_at
string<date-time>
read-only

The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

updated_at
string<date-time>
read-only

The date and time the resource was last updated.

Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

name
string

The name associated with the order, which will appear in the KDS.

Pattern: ^[^\s]*$
Example:

"John"

table_number
integer | null

The table number that should be associated with an order.

Example:

8

dish_ids
string[]

The list of unique dish ids included in an order.

Example:
special_requests
string | null

Indicates special requests for an order, like excluding an ingredient due to allergy.

priority
integer
default:3

The priority of an order. Defaults to 3 but can be changed as needed. Highest priority is 0, lowest is 5.

Orders will often be sorted by priority to ensure highest priority orders are prepared first.

Required range: 0 <= x <= 5
scheduled_at
string<date-time> | null

Indicate the date and time an order should be ready. These orders fall outside the typical order flow as they may be orders for later in the day or for a future date.

Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

null

status
enum<string> | null

Indicates the status of the order preparation.

The expeditor will use this field to sort incoming orders and determine what dishes are ready to be prepared and assembled by station.

Available options:
Draft,
Received,
In Progress,
Ready for Assembly,
On the Way,
Ready for Pickup
Example:

"Received"